Tor: Remote heap-based buffer overflow — GLSA 201101-02

Tor is vulnerable to a heap-based buffer overflow that may allow arbitrary code execution.

Affected Packages

net-misc/tor on all architectures
Affected versions < 0.2.1.28
Unaffected versions >= 0.2.1.28

Background

Tor is an implementation of second generation Onion Routing, a connection-oriented anonymizing communication service.

Description

Tor contains a heap-based buffer overflow in the processing of user or attacker supplied data. No additional information is available.

Impact

Successful exploitation of this vulnerability may allow an unauthenticated remote attacker to execute arbitrary code with the permissions of the Tor user, or to cause a Denial of Service.

Workaround

There is no known workaround at this time.

Resolution

All Tor users should upgrade to the latest stable version:

 # emerge --sync
 # emerge --ask --oneshot --verbose ">=net-misc/tor-0.2.1.28"

References

Release Date
January 15, 2011

Latest Revision
January 15, 2011: 01

Severity
high

Exploitable
remote

Bugzilla entries